Package: org.codehaus.groovy.transform.tailrec

## [Java] Class VariableExpressionTransformer

- org.codehaus.groovy.transform.tailrec.VariableExpressionTransformer

- All Implemented Interfaces and Traits:
    ExpressionTransformer

      public class VariableExpressionTransformer
      extends Object
      implements ExpressionTransformer

  An expression transformer used in the process of replacing the access to variables

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableExpressionTransformer(Closure<Boolean> when, Closure<VariableExpression> replaceWith)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure<VariableExpression>` | `getReplaceWith()`
    `` | `public Closure<Boolean>` | `getWhen()`
    `` | `public void` | `setReplaceWith(Closure<VariableExpression> replaceWith)`
    `` | `public void` | `setWhen(Closure<Boolean> when)`
    `` | `public Expression` | `transform(Expression expr)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public VariableExpressionTransformer(Closure<Boolean> when, Closure<VariableExpression> replaceWith)

  - ### Method Detail

    - #### public Closure<VariableExpression> getReplaceWith()

    - #### public Closure<Boolean> getWhen()

    - #### public void setReplaceWith(Closure<VariableExpression> replaceWith)

    - #### public void setWhen(Closure<Boolean> when)

    - #### @Override
      @SuppressWarnings("Instanceof")
      public Expression transform(Expression expr)